Passa al contenuto principale

ServerMonitoringProbeChart

Values measured by a probe of a server monitoring in the last day

server_monitoring_idintegerrequired

Id of the server monitoring (GET /api/v3/server-monitorings/{server_monitoring_id})

probe_idintegerrequired

Id of the probe (GET /api/v3/server-monitorings/{server_monitoring_id}/probes/{probe_id})

intervalstringrequired

Period covered by the chart, as an ISO 8601 duration: always P1D, the last day

Example: P1D
points object[]required

Values measured by the probe in the period, in time order

  • Array [
  • xfloatrequired

    UNIX timestamp in milliseconds

    yfloatrequired

    Probe value

  • ]
  • ServerMonitoringProbeChart
    {
    "server_monitoring_id": 0,
    "probe_id": 0,
    "interval": "P1D",
    "points": [
    {
    "x": 0,
    "y": 0
    }
    ]
    }